Post by BestGroup » Thu Apr 02, 2015 5:22 pm

Hi,
Trying to do a clean install of the new 2.0.2.0
Download page indicates minimum requirements of PHP V. 5.2
My server is running V 5.2.17
Trying to run the install after upload I receive a message indicating PHP Version required is 5.3 +
Can you advise please?

Newbie

Posts

Joined
Thu Apr 02, 2015 5:18 pm

Post by Axel Wers » Thu Apr 02, 2015 11:28 pm

Hi, I read some issues with upgrade from older 1.5.6.x versions. We still run on 1.5.6.4 version and in short time we want to upgrade to 2.0.2.x.

Is it already possible to upgrade from 1.5.6.x to 2.0.2.x version? Thanks.

New member

Posts

Joined
Fri Aug 22, 2014 3:59 pm

Post by raybark » Fri Apr 03, 2015 12:08 am

OK. Now I am really baffled.

Why does the UPGRADE.TXT file say:


///////////////////////////////////////
/// OpenCart V1.5.x TO 1.5.x ///
/// Upgrade Instructions ///
/// http://www.opencart.com ///
///////////////////////////////////////

NOTE: THIS IS FOR UPGRADE ON EXISTING INSTALLS ONLY!
IF INSTALLING NEW, BE SURE TO READ THE INSTALL.TXT FILE INSTEAD

##########################################
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
##########################################

New member

Posts

Joined
Tue Sep 03, 2013 9:23 pm

Post by pm-netti » Fri Apr 03, 2015 12:14 am

Axel Wers wrote:Hi, I read some issues with upgrade from older 1.5.6.x versions. We still run on 1.5.6.4 version and in short time we want to upgrade to 2.0.2.x.

Is it already possible to upgrade from 1.5.6.x to 2.0.2.x version? Thanks.
Yes. It is possible.
"In Do it yourself tool": http://www.opencart.com/index.php?route ... n_id=19572
Or in a beautiful package: http://www.opencart.com/index.php?route ... ch=service

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by Axel Wers » Sat Apr 04, 2015 1:03 am

pm-netti wrote: Yes. It is possible.
I wonder, OC2 doesn't have native upgrade script?

New member

Posts

Joined
Fri Aug 22, 2014 3:59 pm

Post by i2Paq » Sat Apr 04, 2015 1:28 am

Axel Wers wrote:
pm-netti wrote: Yes. It is possible.
I wonder, OC2 doesn't have native upgrade script?
http://forum.opencart.com/viewtopic.php?f=34&t=138627

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by neufke » Sat Apr 04, 2015 9:54 pm

I'm getting quite annoyed with the way the new releases follow each other. Been working on updating 1.5.4 for a client to version 2.0.0 to 2.0.1.0, now i read that there is a new 2.0.2.0 with a 2.0.2.1 release pending. Browsing through the different threads no-one has any updating scripts that work except the one provided by peku (kudos for that one), there is no update filesystem script or even descriptions to what is needed for all the new updates. Extensions don't work anymore, extensionswriters are lost and an Administrator named Qphoria is writing a post that, well, doesn't seem to me like being the self proclamed expert on the matters of updating the db (how about having a diff file between each version, check what the old version and the newest version is and do a script which loops through all the diff files? Just an idea though...)

So, i am working TODAY on a local version of 2.0.1.0 bu instead i need to start over with everything because we need 2.0.2.0 or wait, maybe tomorrow (reading that the extensive testing period for developers is ~24 hrs) 2.0.2.1 will be released with another list of bugfixes. Wouldn't it be nice to halt right here with the 2.0.2.1 release and let everyone catch up, doing some testing and debugging in the meantime and make sure that when there is an update, everyone has a way to use that update??

Just some thoughts on the matter.... It wasn't my choice to start with opencart in the first place (am a Magento programmer myself) but this is becoming rediculous guys, really...

New member

Posts

Joined
Sun Sep 14, 2014 9:19 pm

Post by rpmb » Sun Apr 05, 2015 12:34 am

neufke wrote:I'm getting quite annoyed with the way the new releases follow each other. Been working on updating 1.5.4 for a client to version 2.0.0 to 2.0.1.0, now i read that there is a new 2.0.2.0 with a 2.0.2.1 release pending. Browsing through the different threads no-one has any updating scripts that work except the one provided by peku (kudos for that one), there is no update filesystem script or even descriptions to what is needed for all the new updates. Extensions don't work anymore, extensionswriters are lost and an Administrator named Qphoria is writing a post that, well, doesn't seem to me like being the self proclamed expert on the matters of updating the db (how about having a diff file between each version, check what the old version and the newest version is and do a script which loops through all the diff files? Just an idea though...)

So, i am working TODAY on a local version of 2.0.1.0 bu instead i need to start over with everything because we need 2.0.2.0 or wait, maybe tomorrow (reading that the extensive testing period for developers is ~24 hrs) 2.0.2.1 will be released with another list of bugfixes. Wouldn't it be nice to halt right here with the 2.0.2.1 release and let everyone catch up, doing some testing and debugging in the meantime and make sure that when there is an update, everyone has a way to use that update??

Just some thoughts on the matter.... It wasn't my choice to start with opencart in the first place (am a Magento programmer myself) but this is becoming rediculous guys, really...
I wouldnt bother any upgrade to be honest. Each release is done for the community to bug test and is rushed out as the initial 2.0 version. I would wait hopefully by 2.2.x it will stable and they will have stopped altering the code significantly so that devers can sort out their extensions.

opencart 3.0.2.0


User avatar
New member

Posts

Joined
Wed Jun 30, 2010 9:13 pm
Location - Cornwall

Post by neufke » Sun Apr 05, 2015 1:17 am

Well, biggest error i made was when i got the assignment to connvert OC from some shared community to a seperate host...and well, the owner was used to OC so that is what she wanted... Exactly at that moment, 2.0.0 was being released... and that was when the sh*t hit the fan.

You know what the biggest frustration is? I found an OC Coding Guidelines doc on Github and haven't found a core file yet that has their own standards implemented. The most simple functions are written as, well, it sometimes seems that an 11-year old has been grabbing some code snippets from some beginners php website ... and the list of complaints would go on and on...

And try this: just download a version, any version. Put an article, any article in your cart and just browse through some of the other categories... Magically just random articles are put into your shopping cart without pushing the order button...


*sighs* That's the next bug to get corrected i guess..... but i agree with you, i shouldn't have started with all this BS in the first place... :-(

New member

Posts

Joined
Sun Sep 14, 2014 9:19 pm

Post by pla1829 » Sun Apr 05, 2015 8:14 am

Its nice to see an update and continued development even though there may be some difficulties. I am new to e-commerce but I am having some success thanks to OpenCart.

New member

Posts

Joined
Sat Nov 22, 2014 12:16 pm

Post by neufke » Sun Apr 05, 2015 8:53 am

And how do you think you are getting this update?? I am a professional developer debugging version 2.0.1.0 for 12 hrs now just to get the basics working...

New member

Posts

Joined
Sun Sep 14, 2014 9:19 pm

Post by jiao » Sun Apr 05, 2015 9:58 am

Is the "notify" customers bug fixed in this release? The one that sends your customers emails when you change the order status, even when you untick "notify"?

Active Member

Posts

Joined
Mon Apr 23, 2012 12:11 am

Post by JAY6390 » Sun Apr 05, 2015 10:01 am

Yes it is Jiao

Image


User avatar
Guru Member

Posts

Joined
Wed May 26, 2010 11:47 pm
Location - United Kingdom

Post by jiao » Sun Apr 05, 2015 10:50 am

Excellent, I will upgrade then! Hopefully this does not open a new can of worms!

Active Member

Posts

Joined
Mon Apr 23, 2012 12:11 am

Post by jiao » Sun Apr 05, 2015 11:01 am

Is there upgrade instructions from 2.0.1.1 ?? The upgrade.txt just explains "THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY"

Active Member

Posts

Joined
Mon Apr 23, 2012 12:11 am

Post by rph » Sun Apr 05, 2015 12:31 pm

That upgrade script doesn't work. It should have been removed (or moved to another branch) for the initial 2.x release but here we are.

For anyone who uses ocMod, there's been an unpublished backwards compatibility break. Dynamic pathing using braces will no longer work. The new method is using comma delimited full paths. So code like:

Code: Select all

<file path="system/{engine,library}/{action,loader,config,language}.php">
must be updated to:

Code: Select all

<file path="system/engine/action.php,system/engine/loader.php,system/library/config.php,system/library/language.php">

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by jiao » Sun Apr 05, 2015 1:07 pm

Sorry, I didn't clarify, I am upgrading from oc 2.1.1.1 to 2.2.0 how do I do this?

Active Member

Posts

Joined
Mon Apr 23, 2012 12:11 am

Post by rph » Sun Apr 05, 2015 2:03 pm

There is no defined process for upgrading. A file overwrite may or may not work. ocMods that use dynamic pathing will have to be updated.

-Ryan


rph
Expert Member

Posts

Joined
Fri Jan 08, 2010 5:05 am
Location - Lincoln, Nebraska

Post by jiao » Sun Apr 05, 2015 4:21 pm

Wow, sounds sketchy.

Active Member

Posts

Joined
Mon Apr 23, 2012 12:11 am

Post by i2Paq » Sun Apr 05, 2015 5:21 pm

raybark wrote:OK. Now I am really baffled.

Why does the UPGRADE.TXT file say:


///////////////////////////////////////
/// OpenCart V1.5.x TO 1.5.x ///
/// Upgrade Instructions ///
/// http://www.opencart.com ///
///////////////////////////////////////

NOTE: THIS IS FOR UPGRADE ON EXISTING INSTALLS ONLY!
IF INSTALLING NEW, BE SURE TO READ THE INSTALL.TXT FILE INSTEAD

##########################################
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
##########################################
I really think it is STUPID to have this upgrade.txt coming with the 2.x release as there is NO!!!!!! way to upgrade with the upgrade script that comes with 2.x

I have NO CLUE why no-one of the OpenCart "release" or "dev" team put this here because they know YOU CANNOT UPGRADE.

I think that they are blind or just plain stupid as it is clear to me they did no even test the upgrade themselves!


Disclaimer: yes I'm pissed of about this ongoing ignorance!

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands
Who is online

Users browsing this forum: Google [Bot] and 7 guests